Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005379 [JEDI VCL] 00 JVCL Components minor always 2010-10-25 21:38 2012-02-29 16:55
Reporter hholmes View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005379: TJvTimeEdit does not function properly when using the spin buttons with HOUR24 set to FALSE
Description Drop component on a new form and set to HOUR24 to FALSE and run. Use the UP spinner and it jumps from 09 to 22. Go down and it jumps from 20 to 9. If you keep going up the hour field goes all the way to 99 then jumps to a single 0.

If you go down it goes from 1 to 12 but when you go from 10 to 09 it goes to 19.

I took a quick look through the source and it seems to be jumping through its own validation routine in mid change.

I wrapped the part of the code that alters the TEXT property with changing the FCHANGING property. It works for me but I'm not sure its the correct solution. Also the SECONDS and the AM/PM options don't adjust when the spinner is clicked with focus set to those parts of the edit field. I don't see any code for altering those fields with the spinner buttons.

FChanging := true;
....function code here
FChanging := false;
Additional Information It is also missing the icon in the JV Edits component tab.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017951)
hholmes (reporter)
2010-10-25 21:57

When the ShowSeconds is set to false the AM/PM indicator was not working so I altered the code as follows:

//added this to the beginning of the UpdateTimeDigits procedure:
var
SecondsOffset:integer;
...
  if FShowSeconds then
     SecondsOffset:=10
  else
     SecondsOffset:=7;

//in the increment part I changed the A/P code to this:

         if Text[SecondsOffset] = 'A' then
             Text := SetNumberChar(Text, SecondsOffset, 'P')
          else
             Text := SetNumberChar(Text, SecondsOffset, 'A');

//in the decrement part I changed the A/P code to this:

         if Text[SecondsOffset] = 'P' then
             Text := SetNumberChar(Text, SecondsOffset, 'A')
          else
             Text := SetNumberChar(Text, SecondsOffset, 'P');
(0018030)
obones (administrator)
2010-11-09 14:15

Please try with the latest SVN content.
If this is still here, please provide the zipped sources of a sample application showing this.
(0018178)
AHUser (developer)
2010-11-27 14:17

Fixed in svn revision 12905.

- Issue History
Date Modified Username Field Change
2010-10-25 21:38 hholmes New Issue
2010-10-25 21:57 hholmes Note Added: 0017951
2010-11-09 14:15 obones Note Added: 0018030
2010-11-09 14:15 obones Status new => feedback
2010-11-27 14:17 AHUser Note Added: 0018178
2010-11-27 14:17 AHUser Status feedback => resolved
2010-11-27 14:17 AHUser Fixed in Version => Daily / SVN
2010-11-27 14:17 AHUser Resolution open => fixed
2010-11-27 14:17 AHUser Assigned To => AHUser
2010-11-29 18:26 hholmes Issue Monitored: hholmes
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker